%LET SYSLAST=SBST2.FINAL_BIRTHDAYS;
%LET _CLIENTTASKLABEL='Applications 6 RandR';
%LET _CLIENTPROCESSFLOWNAME='Final';
%LET _CLIENTPROJECTPATH='X:\OPD\Hemmeter\SBST\Potential SSI Population2.egp';
%LET _CLIENTPROJECTPATHHOST='S2740R5';
%LET _CLIENTPROJECTNAME='Potential SSI Population2.egp';
%LET _SASPROGRAMFILE='';
%LET _SASPROGRAMFILEHOST='';

GOPTIONS ACCESSIBLE;
rsubmit sy56.spawner;

*libname appawd12 'ORES.DSSA.PRD.ORTAR.APPAWD.R201712';
*libname appawd06 'ORES.DSSA.PRD.ORTAR.APPAWD.R201806';
libname appawd 'ORES.DSSA.PRD.ORTAR.APPAWD.R202201' access=readonly;

libname sbst2 'ais.p1252.$4598.sbst2';
/*
libname wepgpo 'ORES.DSSA.PRD.ORTAR.WEPGPO.R201612';
libname oreslrf 'AIS.P1252.#6098.SASLNGTP.ELDER.D201801';
*/
*libname oreslrf 'AIS.P1252.#6098.SASLNGTP.ELDR3.D201806';
libname oreslrf 'AIS.P1252.LONGSAS.ELDERLY.D202201' access=readonly;
*libname oresdth '#4741.ELDERLY.NUMIDTH.SASDATA';
libname oresdth 'AIS.P1252.NUMI.ELDERLY.SASDATA' access=readonly;

/*Get all SSI applications after the mailing*/
data sbst2.applications (compress=yes drop=pan);
	set appawd.appawd (keep=pan mft rcd_est_jd elg_rd appl_jd first_pay_date apldate 
	fedpmt statpmt totpmt totamt totamt_cur pstat pstat_cur sel_date term_stat dencde
	fs_interview_rd fs_recipient fs_request);
	boan=pan;
	if apldate>mdy(9,15,2017); 
run;
proc sort data=sbst2.applications; by boan; run;

/*merge outcome and baseline data*/
data sbst2.outcomes (compress=yes);
	merge sbst2.random_final (in=a) sbst2.applications;
	by boan;
	if a=1;
	applied=(apldate ne .);
	awarded=(first_pay_date ne .);
run;


/*merge in WEP/GPO indicators*/ /*
data sbst2.wep2016 (compress=yes drop=can bic1);
	set wepgpo.wepgpo (keep=boan can bic1 wep_ind);
	if boan='' and bic1='A' then boan=can;
	if wep_ind=1;
	if boan ne '';
run;
proc sort data=sbst2.wep2016 (compress=yes) nodupkey;
	by boan; run;
data sbst2.gpo2016 (compress=yes drop=can bic1);
	set wepgpo.wepgpo (keep=boan can bic1 gpo_ind);
	if boan='' and bic1='A' then boan=can;
	if gpo_ind=1;
	if boan ne '';
run;
proc sort data=sbst2.gpo2016 (compress=yes) nodupkey;
	by boan; run;

data sbst2.wepgpo2016;
	merge sbst2.wep2016 sbst2.gpo2016;
	by boan;
run;

proc sort data=sbst2.wepgpo2016 (compress=yes);
	by boan; run;
	*/
data sbst2.outcomes2 (compress=yes);
	merge sbst2.outcomes (in=a) sbst2.wepgpo2016;
	by boan;
	if a=1;
run;

/*Get SSI Longitudinal Data on months of interest*/
/*Only need 10/2017-03/2018*/
		/*Adding through the end of the data for revise and resubmit*/
/*Variables are numbered by month since 1/1974*/
/*10/2017==526*/	
data sbst2.lrf (compress=yes rename=(pan=boan));
	set oreslrf.combined_longitudinal
		(keep=pan curstat 
		cmth_rd_525 pstat_525 eincm_525 uincm_525 medtest_525 fedpmt_525 statpmt_525 pay_statbc_ind_525 bmf_525
		cmth_rd_526 pstat_526 eincm_526 uincm_526 medtest_526 fedpmt_526 statpmt_526 pay_statbc_ind_526 bmf_526
		cmth_rd_527 pstat_527 eincm_527 uincm_527 medtest_527 fedpmt_527 statpmt_527 pay_statbc_ind_527 bmf_527
		cmth_rd_528 pstat_528 eincm_528 uincm_528 medtest_528 fedpmt_528 statpmt_528 pay_statbc_ind_528 bmf_528
		cmth_rd_529 pstat_529 eincm_529 uincm_529 medtest_529 fedpmt_529 statpmt_529 pay_statbc_ind_529 bmf_529
		cmth_rd_530 pstat_530 eincm_530 uincm_530 medtest_530 fedpmt_530 statpmt_530 pay_statbc_ind_530 bmf_530
		cmth_rd_531 pstat_531 eincm_531 uincm_531 medtest_531 fedpmt_531 statpmt_531 pay_statbc_ind_531 bmf_531
		cmth_rd_532 pstat_532 eincm_532 uincm_532 medtest_532 fedpmt_532 statpmt_532 pay_statbc_ind_532 bmf_532
		cmth_rd_533 pstat_533 eincm_533 uincm_533 medtest_533 fedpmt_533 statpmt_533 pay_statbc_ind_533 bmf_533
		cmth_rd_534 pstat_534 eincm_534 uincm_534 medtest_534 fedpmt_534 statpmt_534 pay_statbc_ind_534 bmf_534
		cmth_rd_535 pstat_535 eincm_535 uincm_535 medtest_535 fedpmt_535 statpmt_535 pay_statbc_ind_535 bmf_535
		cmth_rd_536 pstat_536 eincm_536 uincm_536 medtest_536 fedpmt_536 statpmt_536 pay_statbc_ind_536 bmf_536
		cmth_rd_537 pstat_537 eincm_537 uincm_537 medtest_537 fedpmt_537 statpmt_537 pay_statbc_ind_537 bmf_537
		cmth_rd_538 pstat_538 eincm_538 uincm_538 medtest_538 fedpmt_538 statpmt_538 pay_statbc_ind_538 bmf_538
		cmth_rd_539 pstat_539 eincm_539 uincm_539 medtest_539 fedpmt_539 statpmt_539 pay_statbc_ind_539 bmf_539
		cmth_rd_540 pstat_540 eincm_540 uincm_540 medtest_540 fedpmt_540 statpmt_540 pay_statbc_ind_540 bmf_540
		cmth_rd_541 pstat_541 eincm_541 uincm_541 medtest_541 fedpmt_541 statpmt_541 pay_statbc_ind_541 bmf_541
		cmth_rd_542 pstat_542 eincm_542 uincm_542 medtest_542 fedpmt_542 statpmt_542 pay_statbc_ind_542 bmf_542
		cmth_rd_543 pstat_543 eincm_543 uincm_543 medtest_543 fedpmt_543 statpmt_543 pay_statbc_ind_543 bmf_543
		cmth_rd_544 pstat_544 eincm_544 uincm_544 medtest_544 fedpmt_544 statpmt_544 pay_statbc_ind_544 bmf_544
		cmth_rd_545 pstat_545 eincm_545 uincm_545 medtest_545 fedpmt_545 statpmt_545 pay_statbc_ind_545 bmf_545
		cmth_rd_546 pstat_546 eincm_546 uincm_546 medtest_546 fedpmt_546 statpmt_546 pay_statbc_ind_546 bmf_546
		cmth_rd_547 pstat_547 eincm_547 uincm_547 medtest_547 fedpmt_547 statpmt_547 pay_statbc_ind_547 bmf_547
		cmth_rd_548 pstat_548 eincm_548 uincm_548 medtest_548 fedpmt_548 statpmt_548 pay_statbc_ind_548 bmf_548
		cmth_rd_549 pstat_549 eincm_549 uincm_549 medtest_549 fedpmt_549 statpmt_549 pay_statbc_ind_549 bmf_549
		cmth_rd_550 pstat_550 eincm_550 uincm_550 medtest_550 fedpmt_550 statpmt_550 pay_statbc_ind_550 bmf_550
		cmth_rd_551 pstat_551 eincm_551 uincm_551 medtest_551 fedpmt_551 statpmt_551 pay_statbc_ind_551 bmf_551
		cmth_rd_552 pstat_552 eincm_552 uincm_552 medtest_552 fedpmt_552 statpmt_552 pay_statbc_ind_552 bmf_552
		cmth_rd_553 pstat_553 eincm_553 uincm_553 medtest_553 fedpmt_553 statpmt_553 pay_statbc_ind_553 bmf_553
		cmth_rd_554 pstat_554 eincm_554 uincm_554 medtest_554 fedpmt_554 statpmt_554 pay_statbc_ind_554 bmf_554
		cmth_rd_555 pstat_555 eincm_555 uincm_555 medtest_555 fedpmt_555 statpmt_555 pay_statbc_ind_555 bmf_555
		cmth_rd_556 pstat_556 eincm_556 uincm_556 medtest_556 fedpmt_556 statpmt_556 pay_statbc_ind_556 bmf_556
		cmth_rd_557 pstat_557 eincm_557 uincm_557 medtest_557 fedpmt_557 statpmt_557 pay_statbc_ind_557 bmf_557
		cmth_rd_558 pstat_558 eincm_558 uincm_558 medtest_558 fedpmt_558 statpmt_558 pay_statbc_ind_558 bmf_558
		cmth_rd_559 pstat_559 eincm_559 uincm_559 medtest_559 fedpmt_559 statpmt_559 pay_statbc_ind_559 bmf_559
		cmth_rd_560 pstat_560 eincm_560 uincm_560 medtest_560 fedpmt_560 statpmt_560 pay_statbc_ind_560 bmf_560
		cmth_rd_561 pstat_561 eincm_561 uincm_561 medtest_561 fedpmt_561 statpmt_561 pay_statbc_ind_561 bmf_561
		cmth_rd_562 pstat_562 eincm_562 uincm_562 medtest_562 fedpmt_562 statpmt_562 pay_statbc_ind_562 bmf_562
		cmth_rd_563 pstat_563 eincm_563 uincm_563 medtest_563 fedpmt_563 statpmt_563 pay_statbc_ind_563 bmf_563
		cmth_rd_564 pstat_564 eincm_564 uincm_564 medtest_564 fedpmt_564 statpmt_564 pay_statbc_ind_564 bmf_564
		cmth_rd_565 pstat_565 eincm_565 uincm_565 medtest_565 fedpmt_565 statpmt_565 pay_statbc_ind_565 bmf_565
		cmth_rd_566 pstat_566 eincm_566 uincm_566 medtest_566 fedpmt_566 statpmt_566 pay_statbc_ind_566 bmf_566
		cmth_rd_567 pstat_567 eincm_567 uincm_567 medtest_567 fedpmt_567 statpmt_567 pay_statbc_ind_567 bmf_567
		cmth_rd_568 pstat_568 eincm_568 uincm_568 medtest_568 fedpmt_568 statpmt_568 pay_statbc_ind_568 bmf_568
		cmth_rd_569 pstat_569 eincm_569 uincm_569 medtest_569 fedpmt_569 statpmt_569 pay_statbc_ind_569 bmf_569
		cmth_rd_570 pstat_570 eincm_570 uincm_570 medtest_570 fedpmt_570 statpmt_570 pay_statbc_ind_570 bmf_570
		cmth_rd_571 pstat_571 eincm_571 uincm_571 medtest_571 fedpmt_571 statpmt_571 pay_statbc_ind_571 bmf_571
		cmth_rd_572 pstat_572 eincm_572 uincm_572 medtest_572 fedpmt_572 statpmt_572 pay_statbc_ind_572 bmf_572
		cmth_rd_573 pstat_573 eincm_573 uincm_573 medtest_573 fedpmt_573 statpmt_573 pay_statbc_ind_573 bmf_573
		cmth_rd_574 pstat_574 eincm_574 uincm_574 medtest_574 fedpmt_574 statpmt_574 pay_statbc_ind_574 bmf_574
		cmth_rd_575 pstat_575 eincm_575 uincm_575 medtest_575 fedpmt_575 statpmt_575 pay_statbc_ind_575 bmf_575
		cmth_rd_576 pstat_576 eincm_576 uincm_576 medtest_576 fedpmt_576 statpmt_576 pay_statbc_ind_576 bmf_576
		cmth_rd_577 pstat_577 eincm_577 uincm_577 medtest_577 fedpmt_577 statpmt_577 pay_statbc_ind_577 bmf_577
		cmth_rd_578 pstat_578 eincm_578 uincm_578 medtest_578 fedpmt_578 statpmt_578 pay_statbc_ind_578 bmf_578
		cmth_rd_579 pstat_579 eincm_579 uincm_579 medtest_579 fedpmt_579 statpmt_579 pay_statbc_ind_579 bmf_579
		cmth_rd_580 pstat_580 eincm_580 uincm_580 medtest_580 fedpmt_580 statpmt_580 pay_statbc_ind_580 bmf_580
		cmth_rd_581 pstat_581 eincm_581 uincm_581 medtest_581 fedpmt_581 statpmt_581 pay_statbc_ind_581 bmf_581
		cmth_rd_582 pstat_582 eincm_582 uincm_582 medtest_582 fedpmt_582 statpmt_582 pay_statbc_ind_582 bmf_582
		cmth_rd_583 pstat_583 eincm_583 uincm_583 medtest_583 fedpmt_583 statpmt_583 pay_statbc_ind_583 bmf_583
		cmth_rd_584 pstat_584 eincm_584 uincm_584 medtest_584 fedpmt_584 statpmt_584 pay_statbc_ind_584 bmf_584
		cmth_rd_585 pstat_585 eincm_585 uincm_585 medtest_585 fedpmt_585 statpmt_585 pay_statbc_ind_585 bmf_585
		cmth_rd_586 pstat_586 eincm_586 uincm_586 medtest_586 fedpmt_586 statpmt_586 pay_statbc_ind_586 bmf_586
		cmth_rd_587 pstat_587 eincm_587 uincm_587 medtest_587 fedpmt_587 statpmt_587 pay_statbc_ind_587 bmf_587
		cmth_rd_588 pstat_588 eincm_588 uincm_588 medtest_588 fedpmt_588 statpmt_588 pay_statbc_ind_588 bmf_588)
	;
run;

proc sort data=sbst2.lrf (compress=yes) nodupkey;
	by boan; run;
		
/*Get death data*/	
data sbst2.death (compress=yes rename=(ssn=boan) drop=dod_1);
	set oresdth.ndth
		(keep=ssn dod_1);
		if substr(dod_1,3,2) not in('XX','00') then 
			dod_date=mdy(input(substr(dod_1,1,2),2.),input(substr(dod_1,3,2),2.),input(substr(dod_1,5,4),4.));
		else dod_date=mdy(input(substr(dod_1,1,2),2.),15,input(substr(dod_1,5,4),4.));
	;
run;

proc sort data=sbst2.death (compress=yes) nodupkey;
	by boan; run;
	


data sbst2.outcomes3 (compress=yes);
	merge sbst2.outcomes2 (in=a) sbst2.lrf sbst2.death sbst2.final_birthdays;
	by boan;
	if a=1;
run;

endrsubmit;



GOPTIONS NOACCESSIBLE;
%LET _CLIENTTASKLABEL=;
%LET _CLIENTPROCESSFLOWNAME=;
%LET _CLIENTPROJECTPATH=;
%LET _CLIENTPROJECTPATHHOST=;
%LET _CLIENTPROJECTNAME=;
%LET _SASPROGRAMFILE=;
%LET _SASPROGRAMFILEHOST=;

